Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class DefaultGroovyMethodsSupport

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport

    public class DefaultGroovyMethodsSupport
    extends java.lang.Object

Support methods for DefaultGroovyMethods and PluginDefaultMethods.

Nested Class Summary
`protected static class` | `DefaultGroovyMethodsSupport.RangeInfo`

Method Summary
`protected static java.util.Collection` | `cloneSimilarCollection(java.util.Collection orig, int newCapacity)`
`protected static java.util.Map` | `cloneSimilarMap(java.util.Map orig)`
`static void` | `closeQuietly(java.io.Closeable c)` Close the Closeable.
`static void` | `closeWithWarning(java.io.Closeable c)` Close the Closeable.
`protected static java.lang.Object[]` | `createSimilarArray(java.lang.Object[] orig, int newCapacity)`
`protected static java.util.Collection` | `createSimilarCollection(java.util.Collection collection)`
`protected static java.util.Collection` | `createSimilarCollection(java.util.Collection orig, int newCapacity)`
`protected static java.util.List` | `createSimilarList(java.util.List orig, int newCapacity)`
`protected static java.util.Map` | `createSimilarMap(java.util.Map orig)`
`protected static java.util.Collection` | `createSimilarOrDefaultCollection(java.lang.Object object)`
`protected static java.util.Set` | `createSimilarSet(java.util.Set orig)`
`protected static int` | `normaliseIndex(int i, int size)` This converts a possibly negative index to a real index into the array.
`protected static boolean` | `sameType(java.util.Collection[] cols)` Determines if all items of this array are of the same type.
`protected static DefaultGroovyMethodsSupport.RangeInfo` | `subListBorders(int size, Range range)`
`protected static DefaultGroovyMethodsSupport.RangeInfo` | `subListBorders(int size, EmptyRange range)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### cloneSimilarCollection

    if (answer != null) return answer;
    protected static java.util.Collection cloneSimilarCollection(java.util.Collection orig, int newCapacity)

### cloneSimilarMap

    // fall back to some defaults
    protected static java.util.Map cloneSimilarMap(java.util.Map orig)

### closeQuietly

    public static void closeQuietly(java.io.Closeable c)

  Close the Closeable. Ignore any problems that might occur.
  Parameters:
    `c` - the thing to close

### closeWithWarning

    public static void closeWithWarning(java.io.Closeable c)

  Close the Closeable. Logging a warning if any problems occur.
  Parameters:
    `c` - the thing to close

### createSimilarArray

    protected static java.lang.Object[] createSimilarArray(java.lang.Object[] orig, int newCapacity)

### createSimilarCollection

    protected static java.util.Collection createSimilarCollection(java.util.Collection collection)

### createSimilarCollection

    protected static java.util.Collection createSimilarCollection(java.util.Collection orig, int newCapacity)

### createSimilarList

    protected static java.util.List createSimilarList(java.util.List orig, int newCapacity)

### createSimilarMap

    if (orig instanceof Properties) {
    protected static java.util.Map createSimilarMap(java.util.Map orig)

### createSimilarOrDefaultCollection

    protected static java.util.Collection createSimilarOrDefaultCollection(java.lang.Object object)

### createSimilarSet

    return new LinkedHashSet();
    protected static java.util.Set createSimilarSet(java.util.Set orig)

### normaliseIndex

    protected static int normaliseIndex(int i, int size)

  This converts a possibly negative index to a real index into the array.
  Parameters:
    `i` - the unnormalised index
    `size` - the array size
  Returns:
    the normalised index

### sameType

    if (all.size() == 0)
    protected static boolean sameType(java.util.Collection[] cols)

  Determines if all items of this array are of the same type.
  Parameters:
    `cols` - an array of collections
  Returns:
    true if the collections are all of the same type

### subListBorders

    protected static DefaultGroovyMethodsSupport.RangeInfo subListBorders(int size, Range range)

### subListBorders

    protected static DefaultGroovyMethodsSupport.RangeInfo subListBorders(int size, EmptyRange range)

Groovy Documentation